Redmine - Patch #228

for VisualSourceSafe patches
2007-09-03 00:14 - Aruo Miura

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Description
This patch add support SCM : Microsoft Visual Source safe.

But all Changeset become 'Modify".

Because of localization of VSS.

(All' action strings are localized. So need add language dropdown list for repository_helper but | don't know how to
doit.)

Related issues:
Is duplicate of Redmine - Patch #1260: Add SCM:Visual SourceSafe patch Closed 2008-05-20

History

#1 - 2007-09-06 02:30 - Aruo Miura

| forget implement 'get_previous_revision()' so please
replace 'visual_source_safe_adapter.rb' for new one.

#2 - 2007-09-25 07:36 - Aruo Miura

Requirements:

Microsft Visual Source Safe 8.0 (maybe or later)
(Not support 6.0 because lack of interfaces)

VSS and redMine are running on same machine.
(Maybe remote DB is acceptable. but | don't check it)

#3 - 2007-11-12 00:58 - Aruo Miura

| update them.

Mainly 'Modify'/'Added'/'Deleted' is working.

Use ICONV instead of NKF.

Repository analyze speed faster(but need much more...)
Maybe support Japanese and English.

#4 - 2008-05-20 21:54 - Jean-Philippe Lang
- Category set to SCM

- Status changed from New to Closed

See #1260.

#5 - 2018-10-07 08:39 - Go MAEDA
- Is duplicate of Patch #1260: Add SCM:Visual SourceSafe patch added

Files

visual_source_safe.rb 5.48 KB 2008-02-03 Aruo Miura
visual_source_safe_adapter.rb 79.3 KB 2008-02-03 Aruo Miura
visual_source_safe_adapter.rb 79.3 KB 2008-02-03 Aruo Miura
visual_source_safe_adapter.rb 72.4 KB 2008-02-03 Aruo Miura
visual_source_safe.rb 5.21 KB 2008-02-03 Aruo Miura
visual_source_safe_adapter.rb 71.5 KB 2008-02-03 Aruo Miura
repository_helper.diff 966 Bytes 2008-02-03 Aruo Miura
redmine.diff 380 Bytes 2008-02-03 Aruo Miura
